import MarkerMoveLight from "assets/products/Ag/markerMoveLight.png";
import MarkerMoveDark from "assets/products/Ag/markerMoveDark.png";
import { ImgIcon } from "common/ImgIcon";
import { useThemeType } from "hooks";
import React from "react";

interface Props {
  type?: "light" | "dark";
}

export default function MarkerMoveIcon(props: Props) {
  const themeType = useThemeType();
  const { type } = props;

  const src = () => {
    if (type) {
      return type === "light" ? MarkerMoveLight : MarkerMoveDark;
    }

    return themeType === "light" ? MarkerMoveDark : MarkerMoveLight;
  };

  return <ImgIcon alt="markerMoveToggle" src={src()} />;
}
